The "Get all authors" Api return the blog authors for a given account ID. Please use "blogs/author.readonly"

http
GET https://services.leadconnectorhq.com/blogs/authors

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id
limitnumberYes5Number of authors to show in the listing
offsetnumberYesNumber of authors to skip in listing

Responses

200 - Successful response
  • authors (object[], required): Array of authors

    • _id (string, required): Example: lMOzIQZne5m6zQ528sT6

    • name (string, required): Example: Leadway

    • locationId (string, required): Example: lMOzIQZne5m6zQ528sT6

    • updatedAt (string, required): Example: 2025-01-03T11:06:35.822Z

    • canonicalLink (string, required): Example: https://tryghl.blog/post/technology

json
{
  "authors": [
    {
      "_id": "lMOzIQZne5m6zQ528sT6",
      "name": "Leadway",
      "locationId": "lMOzIQZne5m6zQ528sT6",
      "updatedAt": "2025-01-03T11:06:35.822Z",
      "canonicalLink": "https://tryghl.blog/post/technology"
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/blogs/authors' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?